com.creamtec.ajaxswing.i18n

## Enum I18NKeys

- java.lang.Object
- - java.lang.Enum<I18NKeys>
  - - com.creamtec.ajaxswing.i18n.I18NKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<I18NKeys>

      public enum I18NKeys
      extends java.lang.Enum<I18NKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MESSAGE_AJAXSWING_ERROR_BOTTOM_TEXT`
    `MESSAGE_AJAXSWING_ERROR_BUTTON_TEXT`
    `MESSAGE_AJAXSWING_ERROR_INTERNAL`
    `MESSAGE_AJAXSWING_ERROR_TEXT`
    `MESSAGE_AJAXSWING_ERROR_TITLE`
    `MESSAGE_INITIALIZING_TEXT`
    `MESSAGE_INITIALIZING_TITLE`
    `MESSAGE_INTERNAL_ERROR`
    `MESSAGE_INTERNAL_ERROR_AUTOREFRESH`
    `MESSAGE_INTERNAL_ERROR_TITLE`
    `MESSAGE_NO_VISIBLE_WINDOW_TEXT`
    `MESSAGE_NO_VISIBLE_WINDOW_TITLE`
    `MESSAGE_OLD_BROWSER`
    `MESSAGE_SESSION_CLOSED_BUTTON`
    `MESSAGE_SESSION_CLOSED_TEXT`
    `MESSAGE_SESSION_CLOSED_TITLE`
    `MESSAGE_SESSION_EXPIRED`
    `MESSAGE_SESSION_EXPIRED_AUTOREFRESH`
    `MESSAGE_SESSION_EXPIRED_TEXT`
    `MESSAGE_SESSION_EXPIRED_TITLE`
    `MESSAGE_WINDOW_CLICK_TO_CLOSE`
    `MESSAGE_WINDOW_CLICK_TO_MAXIMIZE_RESTORE`
    `MESSAGE_WINDOW_DRAG_TO_MOVE`
    `MESSAGE_WINDOW_DRAG_TO_RESIZE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `static I18NKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I18NKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGE_INITIALIZING_TITLE

          public static final I18NKeys MESSAGE_INITIALIZING_TITLE

    - #### MESSAGE_INITIALIZING_TEXT

          public static final I18NKeys MESSAGE_INITIALIZING_TEXT

    - #### MESSAGE_NO_VISIBLE_WINDOW_TITLE

          public static final I18NKeys MESSAGE_NO_VISIBLE_WINDOW_TITLE

    - #### MESSAGE_NO_VISIBLE_WINDOW_TEXT

          public static final I18NKeys MESSAGE_NO_VISIBLE_WINDOW_TEXT

    - #### MESSAGE_OLD_BROWSER

          public static final I18NKeys MESSAGE_OLD_BROWSER

    - #### MESSAGE_SESSION_EXPIRED

          public static final I18NKeys MESSAGE_SESSION_EXPIRED

    - #### MESSAGE_SESSION_EXPIRED_TITLE

          public static final I18NKeys MESSAGE_SESSION_EXPIRED_TITLE

    - #### MESSAGE_SESSION_EXPIRED_TEXT

          public static final I18NKeys MESSAGE_SESSION_EXPIRED_TEXT

    - #### MESSAGE_SESSION_EXPIRED_AUTOREFRESH

          public static final I18NKeys MESSAGE_SESSION_EXPIRED_AUTOREFRESH

    - #### MESSAGE_SESSION_CLOSED_TITLE

          public static final I18NKeys MESSAGE_SESSION_CLOSED_TITLE

    - #### MESSAGE_SESSION_CLOSED_TEXT

          public static final I18NKeys MESSAGE_SESSION_CLOSED_TEXT

    - #### MESSAGE_SESSION_CLOSED_BUTTON

          public static final I18NKeys MESSAGE_SESSION_CLOSED_BUTTON

    - #### MESSAGE_INTERNAL_ERROR

          public static final I18NKeys MESSAGE_INTERNAL_ERROR

    - #### MESSAGE_INTERNAL_ERROR_TITLE

          public static final I18NKeys MESSAGE_INTERNAL_ERROR_TITLE

    - #### MESSAGE_INTERNAL_ERROR_AUTOREFRESH

          public static final I18NKeys MESSAGE_INTERNAL_ERROR_AUTOREFRESH

    - #### MESSAGE_AJAXSWING_ERROR_TITLE

          public static final I18NKeys MESSAGE_AJAXSWING_ERROR_TITLE

    - #### MESSAGE_AJAXSWING_ERROR_INTERNAL

          public static final I18NKeys MESSAGE_AJAXSWING_ERROR_INTERNAL

    - #### MESSAGE_AJAXSWING_ERROR_TEXT

          public static final I18NKeys MESSAGE_AJAXSWING_ERROR_TEXT

    - #### MESSAGE_AJAXSWING_ERROR_BUTTON_TEXT

          public static final I18NKeys MESSAGE_AJAXSWING_ERROR_BUTTON_TEXT

    - #### MESSAGE_AJAXSWING_ERROR_BOTTOM_TEXT

          public static final I18NKeys MESSAGE_AJAXSWING_ERROR_BOTTOM_TEXT

    - #### MESSAGE_WINDOW_CLICK_TO_MAXIMIZE_RESTORE

          public static final I18NKeys MESSAGE_WINDOW_CLICK_TO_MAXIMIZE_RESTORE

    - #### MESSAGE_WINDOW_CLICK_TO_CLOSE

          public static final I18NKeys MESSAGE_WINDOW_CLICK_TO_CLOSE

    - #### MESSAGE_WINDOW_DRAG_TO_MOVE

          public static final I18NKeys MESSAGE_WINDOW_DRAG_TO_MOVE

    - #### MESSAGE_WINDOW_DRAG_TO_RESIZE

          public static final I18NKeys MESSAGE_WINDOW_DRAG_TO_RESIZE

  - ### Method Detail

    - #### values

          public static I18NKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I18NKeys c : I18NKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I18NKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getKey

          public java.lang.String getKey()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.